Name:		HEP_OSlibs
Version:	7.1.4
Release:	0%{?dist}
Summary:	HEP OS dependencies
Group:  	System/Middleware
License:	Open Source
ExclusiveArch:  i686 x86_64 aarch64

Requires: alsa-lib(%{__isa})

%ifnarch i686
Requires: bzip2(%{__isa})
%endif

Requires: bzip2-devel(%{__isa})

%ifnarch i686
Requires: compat-db(%{__isa})
Requires: compat-glibc-headers(%{__isa})
%endif

Requires: compat-libf2c-34(%{__isa})
Requires: compat-libgfortran-41(%{__isa})
Requires: compat-libstdc++-33(%{__isa})
Requires: compat-openldap(%{__isa})

Requires: e2fsprogs-libs(%{__isa})
Requires: freetype-devel(%{__isa})
Requires: gamin(%{__isa})

%ifnarch i686
Requires: gcc-c++(%{__isa})
%endif

Requires: gdbm(%{__isa})
Requires: giflib(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: glibmm24(%{__isa})
Requires: gmp(%{__isa})
Requires: krb5-devel(%{__isa})
Requires: libaio(%{__isa})
Requires: libatomic(%{__isa})
Requires: libdrm-devel(%{__isa})
Requires: libgfortran(%{__isa})
Requires: libidn(%{__isa})
Requires: libpng(%{__isa})
Requires: libpng-devel(%{__isa})
Requires: libsepol(%{__isa})
Requires: libtiff(%{__isa})
Requires: libtool-ltdl(%{__isa})

%ifnarch i686
Requires: libtool(%{__isa})
%endif

Requires: libuuid-devel(%{__isa})
Requires: libX11-devel(%{__isa})
Requires: libXau-devel(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libXcursor(%{__isa})
Requires: libXdamage-devel(%{__isa})
Requires: libXdmcp-devel(%{__isa})
Requires: libXext-devel(%{__isa})
Requires: libXfixes-devel(%{__isa})
Requires: libXft-devel(%{__isa})
Requires: libXinerama(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXmu(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXpm(%{__isa})
Requires: libXp(%{__isa})
Requires: libXrandr(%{__isa})
Requires: libXtst(%{__isa})
Requires: libXxf86vm-devel(%{__isa})
Requires: mesa-dri-drivers(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: ncurses-devel(%{__isa})
Requires: openldap(%{__isa})
Requires: openssl098e(%{__isa})

Requires: perl-CGI
Requires: perl-ExtUtils-Embed

Requires: redhat-lsb-core(%{__isa})
Requires: tk(%{__isa})

%ifnarch i686
Requires: wget(%{__isa})
Requires: zsh(%{__isa})
%endif

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
CentOS7. The package was put together with the help of the WLCG Application
Area and of WLCG Operations task forces and aims to cover the dependencies of
all four LHC experiments. This CentOS7 version was derived from the analogous 
metapackage for SL6. The single rpm initially developed with both 64bit and 
32bit package dependencies has been replaced by two separate rpm's including 
only the corresponding packages. Though the primary target of this rpm is 
CentOS7/x86_64, the use of generic %{__isa} tags will eventually simplify
support for architectures other than x86_64 and i686, such as aarch64.

%files
%defattr(-,root,root,-)
%doc

%changelog

* Mon Jul 04 2016 Andrea Valassi 7.1.4-0
Remove 32bit wget, which does not exist. Require 61 packages (59 x86-64, 
2 noarch) on x86_64 and 54 packages (52 x86-32, 2 noarch) on i686. 

* Mon Jul 04 2016 Andrea Valassi 7.1.3-0
Add libpng (libpng15 on CentOS7) as requested by ATLAS and remove libpng12,
fixing my previous mistake. Require 61 packages (59 x86-64, 2 noarch) on 
x86_64 and 55 packages (53 x86-32, 2 noarch) on i686. 

* Tue Jul 01 2016 Andrea Valassi 7.1.2-0
Add wget and redhat-lsb-core (requested by the CERN IT benchmarking team).
Require 61 packages (59 x86-64, 2 noarch) on x86_64 and 55 packages 
(53 x86-32, 2 noarch) on i686. 

* Tue Jun 28 2016 Andrea Valassi 7.1.1-0
Relax all unnecessary differences between i686 and x86_64 dependencies:
install all packages in both rpm's, with the exception of six packages that
are included only for x86_64 but give issues on i686. Require 59 packages
(57 x86-64, 2 noarch) on x86_64 and 53 packages (51 x86-32, 2 noarch) on i686. 

* Tue Jun 28 2016 Andrea Valassi 7.1.0-0
Separate 64-bit and 32-bit meta-rpms using generic "__isa" tags
(many thanks to Rolf Seuster for his implementation suggestions).
Require the same 96 packages (49 x86-64, 45 x86-32, 2 noarch) as in 7.0.4
(49 x86-64 and 2 noarch in x86_64 rpm, 45 x86-32 and 2 noarch in i686 rpm).

* Tue Jun 28 2016 Andrea Valassi 7.0.4-0
Add 64-bit libpng12 (requested by ATLAS). Require 96 packages (49 x86-64, 
45 x86-32, 2 noarch). Restructure the spec file using different "Requires"
tags, preparing for the future split of the 64-bit and 32-bit meta-rpms.

* Tue May 31 2016 Andrea Valassi 7.0.3-0
Add 64-bit libatomic (new ROOT dependency).
Require 95 packages (48 x86-64, 45 x86-32, 2 noarch). 

* Tue May 31 2016 Andrea Valassi 7.0.2-0
Use generic "__isa_name" tags instead of x86-specific architecture tags
(see http://www.rpm.org/wiki/PackagerDocs/ArchDependencies). Add 64-bit bzip2 
(requested by GENSER). Require 94 packages (47 x86-64, 45 x86-32, 2 noarch). 

* Thu Oct 02 2014 Andrea Valassi 7.0.1-0
Add perl-CGI and perl-ExtUtils-Embed (requested by CMS for SL6) using CentOS7
compatible syntax. Require 93 packages (46 x86-64, 45 x86-32, 2 noarch). 

* Wed Oct 01 2014 Andrea Valassi 7.0.0-0
First stable version with 91 packages (46 for x86-64, 45 for x86-32). 
Removed CentOS7 from the library name and renumbered as version 7.0.0.
Derived from the SL6 version, after removing packages that do not exist
in CERN CentOS7, packages that are already installed in CERN CentOS7,
and packages that are pulled in as dependencies of others in this metarpm.
